/* Mathematiques de l'informatique graphique    */
/* Translation 3D en coordonnees homogenes      */
/*                                              */
/* Auteur: Nicolas JANEY                        */
/* nicolas.janey@univ-fcomte.fr                 */
/* Mars 2020                                    */

#include <stdlib.h>
#include <stdio.h>
#include <math.h>

#include "TG3D.h"
#include "Tr3D.h"
#include "Dir3D.h"

/* Construit la translation identite            */

Tr3D::Tr3D(void):TG3D() {
}

/* Construit la translation (tx,ty,tz)          */

Tr3D::Tr3D(float tx,float ty,float tz):TG3D() {
  c[0][3] = tx;
  c[1][3] = ty;
  c[2][3] = tz;
}

/* Construit la translation de vecteur d        */

Tr3D::Tr3D(Dir3D *d):TG3D() {
  c[0][3] = d->x;
  c[1][3] = d->y;
  c[2][3] = d->z;
}

/* Construit le clone de la translation tr      */

Tr3D::Tr3D(Tr3D *tr):TG3D(tr) {
}

/* Destructeur                                  */

Tr3D::~Tr3D(void) {
}
